## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDOMStringCache Class Reference

`#include <XalanDOMStringCache.hpp>`

Collaboration diagram for XalanDOMStringCache:

[legend]
List of all members.

## Public Types

- typedef XalanVector<XalanDOMString*> StringListType
- enum { eDefaultMaximumSize = 100 }

## Public Methods

- XalanDOMStringCache (MemoryManagerType &theManager, unsigned int theMaximumSize=eDefaultMaximumSize)
- ~XalanDOMStringCache ()
- unsigned int getMaximumSize () const
- void setMaximumSize (unsigned int theSize)
- XalanDOMString& get ()
- bool release (XalanDOMString &theString)
- void clear ()
- void reset ()

## Member Typedef Documentation

typedef XalanVector< XalanDOMString *> XalanDOMStringCache::StringListType<XalanDOMString*>

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  eDefaultMaximumSize |

## Constructor & Destructor Documentation

XalanDOMStringCache::XalanDOMStringCache ( | MemoryManagerType & theManager,
| unsigned int theMaximumSize = eDefaultMaximumSize )`[explicit]`

XalanDOMStringCache::~XalanDOMStringCache ( | )

## Member Function Documentation

void XalanDOMStringCache::clear ( | )

XalanDOMString & XalanDOMStringCache::get ( | )

unsigned int XalanDOMStringCache::getMaximumSize ( | ) const

bool XalanDOMStringCache::release ( | XalanDOMString & theString )

void XalanDOMStringCache::reset ( | )

void XalanDOMStringCache::setMaximumSize ( | unsigned int theSize )

The documentation for this class was generated from the following file:

- XalanDOMStringCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.